The iPhone “Mark’s iPhone” could not updated error occurred (11).

Asked By 20 points N/A Posted on -
qa-featured

Hi there,

I can’t install Skype on my iPod because of this error. I don’t know how can this be solved or if this Skype version is OK for my iPod. I want to install it because all my friends are using Skype and I want to be close to them. Please help me to fix this error. Why I have difficulties to install it?

Thank you!

 

The iPhone “Mark’s iPhone” could not updated. An unknown error occurred (11).

 

SHARE
Answered By 567090 points N/A #168612

The iPhone “Mark’s iPhone” could not updated error occurred (11).

qa-featured

It seems iTunes wants to be updated first before it can install Skype. But if the program throws an error when it is being updated, the best thing to do is to download the latest version manually. Also, when installing iTunes, make sure you are running a supported operating system. You can download the latest version from iTunes 11.1.5 Download.

It supports Windows XP Service Pack 3, Windows Vista, Windows 7, and Windows 8. If you are using a 64-bit Microsoft Windows then you cannot install this version. Download the 64-bit version from iTunes 11.1.5 for x64 Windows. It requires x64 Windows Vista, Windows 7, and Windows 8. x64 Microsoft Windows XP is not supported.

Uninstall your old iTunes, restart your computer, and then install the newly downloaded iTunes 11.1.5. Login to your account and download Skype for your device. Additionally, you can get Skype for iPod from Skype for iPod touch. It requires iOS 4.0 and higher. To get it in the Mac App Store, visit Skype for iPhone 4.17.2. It requires iOS 5.0 and higher.

Login/Register to Answer

Related Questions